# FoundationClasses
TKernel
NCollection

# NCollection_SparseArray< TheItemType >::Iterator Class Reference

`#include <NCollection_SparseArray.hxx>`

Inheritance diagram for NCollection_SparseArray< TheItemType >::Iterator:

[legend]

## Public Member Functions

| Iterator ()
| Empty constructor - for later Init.
| Iterator (NCollection_SparseArray &theVector)
| Constructor with initialisation.
void | Init (const NCollection_SparseArray &theVector)
| Initialisation.
TheItemType & | ChangeValue (void)
| Value access.
TheItemType & | operator() (void)
| Value access operator.
const TheItemType & | operator() (void) const
| Const access operator - the same as in parent class.

## Detailed Description

### template<class TheItemType>
class NCollection_SparseArray< TheItemType >::Iterator

Implementation of type-specific non-const Iterator class

## Constructor & Destructor Documentation

template<class TheItemType>
NCollection_SparseArray< TheItemType >::Iterator::Iterator | ( |  | ) | `[inline]`

template<class TheItemType>
NCollection_SparseArray< TheItemType >::Iterator::Iterator | ( | NCollection_SparseArray & | theVector | ) | `[inline]`

## Member Function Documentation

template<class TheItemType>
TheItemType& NCollection_SparseArray< TheItemType >::Iterator::ChangeValue | ( | void |  | ) | `[inline]`

template<class TheItemType>
void NCollection_SparseArray< TheItemType >::Iterator::Init | ( | const NCollection_SparseArray & | theVector | ) | `[inline]`

| Reimplemented from NCollection_SparseArray< TheItemType >::ConstIterator.

template<class TheItemType>
const TheItemType& NCollection_SparseArray< TheItemType >::Iterator::operator() | ( | void |  | ) | const`[inline]`

| Reimplemented from NCollection_SparseArray< TheItemType >::ConstIterator.

template<class TheItemType>
TheItemType& NCollection_SparseArray< TheItemType >::Iterator::operator() | ( | void |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NCollection_SparseArray.hxx